# Submit a Quote/Contract/Rebate Agreement Submits a Contract, Quote, or Rebate Agreement. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. Endpoint: POST /clicmanager.submit/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the Contract, Quote, or Rebate Agreement you want to submit. Example: "127.CT" ## Request fields (application/json): - `data` (object) - `data.approvalRequiredEmailAttachments` (array) - `data.approvalRequiredEmailAttachments.fieldName` (string) - `data.approvalRequiredEmailAttachments.operator` (string) - `data.approvalRequiredEmailAttachments.value` (array) - `data.approvalRequiredEmailAttachments._constructor` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.targetDate` (string) - `response.data.workflowStatus` (string) - `response.data.inputs` (array) - `response.data.inputs.name` (string) - `response.data.inputs.lookupTableId` (any) - `response.data.inputs.url` (any) - `response.data.inputs.type` (string) - `response.data.inputs.value` (object) - `response.data.inputs.value.customerFieldName` (string) - `response.data.inputs.value.customerFieldValue` (string) - `response.data.inputs.value.customerFieldLabel` (string) - `response.data.inputs.valueHint` (any) - `response.data.inputs.readOnly` (any) - `response.data.inputs.filter` (any) - `response.data.inputs.parameterGroup` (any) - `response.data.inputs.labelTranslations` (any) - `response.data.inputs.addUnknownValues` (any) - `response.data.inputs.alwaysEditable` (any) - `response.data.inputs.parameterConfig` (object) - `response.data.inputs.formattingOptions` (object) - `response.data.inputs.valueOptions` (any) - `response.data.viewState` (object) - `response.data.viewState.gridViewState` (any) - `response.data.viewState.openFolders` (any) - `response.data.viewState.selectedNodes` (any) - `response.data.outputs` (array) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.submittedByName` (string) - `response.data.calculationStatus` (number) - `response.data.dirty` (boolean) - `response.data.refreshInputs` (boolean) - `response.data.nodeId` (number) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.serverMessages` (array) - `response.data.additionalInfo1` (any) - `response.data.additionalInfo2` (any) - `response.data.additionalInfo3` (any) - `response.data.additionalInfo4` (any) - `response.data.numberOfAttachments` (number) - `response.data.creationWorkflowStatus` (any) - `response.data.creationWorkflowCurrentStep` (any) - `response.data.creationWorkflowStepCount` (any) - `response.data.creationWorkflowStepLabel` (any) - `response.data.signature` (any) - `response.data.customerGroup` (any) - `response.data.productGroup` (any) - `response.data.externalRef` (any) - `response.data.contractStatus` (string) - `response.data.startDate` (string) - `response.data.endDate` (string) - `response.data.status` (string) - `response.data.approvedByName` (string) - `response.data.deniedByName` (any) - `response.data.renderInfo` (any) - `response.data.serverMessagesExtended` (array) - `response.data.serverMessagesExtended.key` (any) - `response.data.serverMessagesExtended.message` (string, required) - `response.data.approvalRequiredEmailAttachmentsJson` (string) - `response.data.hasWorkflowHistory` (boolean) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.supersededBy` (any) - `response.data.prevRev` (any) - `response.data.rootUniqueName` (string)